<?php

if( class_exists( 'WeDevs_Dokan' ) ) { 
    remove_action( 'woocommerce_account_dashboard', 'dokan_set_go_to_vendor_dashboard_btn' );
}

add_action( 'woocommerce_account_dashboard', 'dina_dashboard_content' );
if( ! function_exists( 'dina_dashboard_content' ) ) {
    function dina_dashboard_content() {
         ?>

        <ul class="dina-dashboard-stats row">
            <li class="col-lg-3 col-md-6 col-12">
                <div class="dina-dashboard-stat-con dina-dashboard-green shadow-box">
                    <i class="fal fa-shopping-cart"></i>
                    <span class="col dina-stats-con d-flex">
                        <span class="dina-dashboard-stats-count">
                            <?php echo dina_get_customer_total_order( get_current_user_id() ); ?>
                        </span>
                        <span class="dina-dashboard-stats-title">
                            <?php _e( 'Total Orders', 'dina-kala' ); ?>
                        </span>
                    </span>
                </div>
            </li>

            <li class="col-lg-3 col-md-6 col-12">
                <div class="dina-dashboard-stat-con dina-dashboard-yellow shadow-box">
                    <i class="fal fa-box-check"></i>
                    <span class="col dina-stats-con d-flex">
                        <span class="dina-dashboard-stats-count">
                            <?php echo dina_get_customer_completed_order( get_current_user_id() ); ?>
                        </span>
                        <span class="dina-dashboard-stats-title">
                            <?php _e( 'Completed orders', 'dina-kala' ); ?>
                        </span>
                    </span>
                </div>
            </li>

            <?php if ( class_exists( 'WooWallet' ) ) { ?>
            <li class="col-lg-3 col-md-6 col-12">
                <div class="dina-dashboard-stat-con dina-dashboard-blue shadow-box">
                    <i class="fal fa-wallet"></i>
                    <span class="col dina-stats-con d-flex">
                        <span class="dina-dashboard-stats-count">
                            <?php
                            $wallet = woo_wallet()->wallet->get_wallet_balance( get_current_user_id() );
                            echo $wallet; ?>
                        </span>
                        <span class="dina-dashboard-stats-title">
                            <?php _e( 'Wallet Inventory', 'dina-kala' ); ?>
                        </span>
                    </span>
                </div>
            </li>
            <?php } ?>

            <li class="col-lg-3 col-md-6 col-12">
                <div class="dina-dashboard-stat-con dina-dashboard-red shadow-box">
                    <i class="fal fa-user-plus"></i>
                    <span class="col dina-stats-con d-flex">
                        <span class="dina-dashboard-stats-count">
                            <?php echo dina_register_date( get_current_user_id() ); ?>
                        </span>
                        <span class="dina-dashboard-stats-title">
                            <?php _e( 'Registration date', 'dina-kala' ); ?>
                        </span>
                    </span>
                </div>
            </li>

        </ul>

        <?php
        if ( dina_opt( 'show_dashboard_banner' ) ) {
            dina_dashboard_banner();
        }
        ?>
        
        <?php if ( dina_opt( 'show_dashboard_message' ) ) { ?>
            <div class="row dina-dashboard-message">
                <div class="col-12">
                    
                    <?php if ( ! empty( dina_opt( 'dashboard_message_one' ) ) ) { ?>
                        <div class="woocommerce-message" role="alert">
                            <?php echo do_shortcode( dina_opt( 'dashboard_message_one' ) ); ?>
                        </div>
                    <?php } ?>

                    <?php if ( ! empty( dina_opt( 'dashboard_message_two' ) ) ) { ?>
                        <div class="woocommerce-info" role="alert">
                            <?php echo do_shortcode( dina_opt( 'dashboard_message_two' ) ); ?>
                        </div>
                    <?php } ?>

                    <?php if ( ! empty( dina_opt( 'dashboard_message_three' ) ) ) { ?>
                        <div class="woocommerce-error" role="alert">
                            <?php echo do_shortcode( dina_opt( 'dashboard_message_three' ) ); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php } ?>

        <ul class="dina-dashboard-items row">
            <?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) :
                if ( $endpoint != 'dashboard' && $endpoint != 'customer-logout' ) { ?>
                <li class="col-md-3 col-sm-4 col-6 <?php echo wc_get_account_menu_item_classes( $endpoint ); ?>">
                    <a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>" class="shadow-box">
                        <?php echo esc_html( $label ); ?>
                    </a>
                </li>
            <?php } 
            endforeach; ?>
        
        </ul>
<?php }
}

//Dina Get Customer's Orders Value
function dina_get_customer_total_order( $id ) {
    $customer_orders = get_posts( array(
        'numberposts' => - 1,
        'meta_key'    => '_customer_user',
        'meta_value'  => $id,
        'post_type'   => array( 'shop_order' ),
        'post_status' => array( 'wc-completed' )
    ) );

    $total = 0;
    foreach ( $customer_orders as $customer_order ) {
        $order = wc_get_order( $customer_order );
        $total += $order->get_total();
    }

    $total = wc_price( $total );

    return $total;
}

//Dina Get Customer's Orders
function dina_get_customer_completed_order( $id ) {
    $customer_orders = get_posts( array(
        'numberposts' => - 1,
        'meta_key'    => '_customer_user',
        'meta_value'  => $id,
        'post_type'   => array( 'shop_order' ),
        'post_status' => array( 'wc-completed' )
    ) );

    $total = 0;
    foreach ( $customer_orders as $customer_order ) {
        $order = wc_get_order( $customer_order );
        $total += 1;
    }

    $total_orders = sprintf( _n( '%s Order', '%s Orders', $total, 'dina-kala' ), $total );

    return $total_orders;
}

//Dina Registration Date 
function dina_register_date( $author ) {
    $user_reg = strtotime( get_the_author_meta( 'user_registered', $author ) );
    if ( function_exists( 'wp_date' ) ) {
		echo wp_date( 'j F Y', $user_reg,null);
    } elseif ( function_exists( 'parsidate' ) ) {
		echo parsidate( 'j F Y', get_the_author_meta( 'user_registered', $author ),$lang='per' );
	} else {
		echo date( 'j F Y' );
	}
}

//Add Affiliate link to my account page
if( class_exists( 'Affiliate_WP' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'affiliate_one_more_link' );
    function affiliate_one_more_link( $menu_links ){
        // we will hook "affiliate-wp" later
        $new = array( 'affiliate-wp' => __( 'Affiliates' , 'dina-kala' ) ); 
        // or in case you need 2 links
        // $new = array( 'link1' => 'Link 1', 'link2' => 'Link 2' );
    
        // array_slice() is good when you want to add an element between the other ones
        $menu_links = array_slice( $menu_links, 0, 6, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }
    add_filter( 'woocommerce_get_endpoint_url', 'affiliate_hook_endpoint', 5, 4 );
    function affiliate_hook_endpoint( $url, $endpoint, $value, $permalink ){
        if( $endpoint === 'affiliate-wp' ) {
            // ok, here is the place for your custom URL, it could be external
            $url = esc_url( affwp_get_affiliate_area_page_url() );
        }
        return $url;
    }
}

//Add YITH Affiliate link to my account page
if( class_exists( 'YITH_WCAF' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'yith_affiliate_one_more_link' );
    function yith_affiliate_one_more_link( $menu_links ){
        // we will hook "affiliate-wp" later
        $new = array( 'yith-affiliate' => __( 'Affiliates' , 'dina-kala' ) ); 
        // or in case you need 2 links
        // $new = array( 'link1' => 'Link 1', 'link2' => 'Link 2' );
    
        // array_slice() is good when you want to add an element between the other ones
        $menu_links = array_slice( $menu_links, 0, 6, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }
    add_filter( 'woocommerce_get_endpoint_url', 'yith_affiliate_hook_endpoint', 5, 4 );
    function yith_affiliate_hook_endpoint( $url, $endpoint, $value, $permalink ){
        if( $endpoint === 'yith-affiliate' ) {
            // ok, here is the place for your custom URL, it could be external
            $page_id = (int)get_option( 'yith_wcaf_dashboard_page_id' );
            $url = esc_url( get_the_permalink( $page_id ) );
        }
        return $url;
    }
}

//Add Wishlist link to my account page
if ( class_exists('YITH_WCWL') || class_exists( 'JVM_WooCommerce_Wishlist' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_wishlist_link' );
    add_filter( 'woocommerce_get_endpoint_url', 'dina_wishlist_link_endpoint', 4, 4 );
}

function dina_wishlist_link( $menu_links ){
    $new = array( 'dina-wishlist-link' => __( 'Wishlist' , 'dina-kala' ) );
    $menu_links = array_slice( $menu_links, 0, 4, true ) 
    + $new 
    + array_slice( $menu_links, 1, NULL, true );
    return $menu_links;
}

function dina_wishlist_link_endpoint( $url, $endpoint, $value, $permalink ){
    if( $endpoint === 'dina-wishlist-link' ) {
        if ( class_exists('YITH_WCWL') ) {
            $url = esc_url( YITH_WCWL()->get_wishlist_url() );
        } elseif( class_exists( 'JVM_WooCommerce_Wishlist' ) ) {
            $url = jvm_get_wishlist_url();
        }
    }
    return $url;
}

//Add fifth custom link to my account page
if ( dina_opt( 'dashboard_link_five' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_dashboard_link_five' );
    function dina_dashboard_link_five( $menu_links ) {
        
        $new = array( 'dina-dashboard-link-five' => dina_opt( 'dashboard_link_five_title' ) ); 
        $menu_links = array_slice( $menu_links, 0, 1, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }

    add_filter( 'woocommerce_get_endpoint_url', 'dina_dashboard_link_five_endpoint', 10, 4 );
    function dina_dashboard_link_five_endpoint( $url, $endpoint, $value, $permalink ) {
        
        if ( $endpoint === 'dina-dashboard-link-five' ) {
            $url = esc_url( dina_opt( 'dashboard_link_five_url' ) );
        }
        return $url;
    }
}

//Add fourth custom link to my account page
if ( dina_opt( 'dashboard_link_four' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_dashboard_link_four' );
    function dina_dashboard_link_four( $menu_links ) {
        
        $new = array( 'dina-dashboard-link-four' => dina_opt( 'dashboard_link_four_title' ) ); 
        $menu_links = array_slice( $menu_links, 0, 1, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }

    add_filter( 'woocommerce_get_endpoint_url', 'dina_dashboard_link_four_endpoint', 10, 4 );
    function dina_dashboard_link_four_endpoint( $url, $endpoint, $value, $permalink ) {
        
        if ( $endpoint === 'dina-dashboard-link-four' ) {
            $url = esc_url( dina_opt( 'dashboard_link_four_url' ) );
        }
        return $url;
    }
}

//Add thrid custom link to my account page
if ( dina_opt( 'dashboard_link_three' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_dashboard_link_three' );
    function dina_dashboard_link_three( $menu_links ) {
        
        $new = array( 'dina-dashboard-link-three' => dina_opt( 'dashboard_link_three_title' ) ); 
        $menu_links = array_slice( $menu_links, 0, 1, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }

    add_filter( 'woocommerce_get_endpoint_url', 'dina_dashboard_link_three_endpoint', 10, 4 );
    function dina_dashboard_link_three_endpoint( $url, $endpoint, $value, $permalink ) {
        
        if ( $endpoint === 'dina-dashboard-link-three' ) {
            $url = esc_url( dina_opt( 'dashboard_link_three_url' ) );
        }
        return $url;
    }
}

//Add second custom link to my account page
if ( dina_opt( 'dashboard_link_two' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_dashboard_link_two' );
    function dina_dashboard_link_two( $menu_links ) {
        
        $new = array( 'dina-dashboard-link-two' => dina_opt( 'dashboard_link_two_title' ) ); 
        $menu_links = array_slice( $menu_links, 0, 1, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }

    add_filter( 'woocommerce_get_endpoint_url', 'dina_dashboard_link_two_endpoint', 10, 4 );
    function dina_dashboard_link_two_endpoint( $url, $endpoint, $value, $permalink ) {
        
        if ( $endpoint === 'dina-dashboard-link-two' ) {
            $url = esc_url( dina_opt( 'dashboard_link_two_url' ) );
        }
        return $url;
    }
}

//Add first custom link to my account page
if ( dina_opt( 'dashboard_link_one' ) ) {
    add_filter ( 'woocommerce_account_menu_items', 'dina_dashboard_link_one' );
    function dina_dashboard_link_one( $menu_links ) {
        
        $new = array( 'dina-dashboard-link-one' => dina_opt( 'dashboard_link_one_title' ) ); 
        $menu_links = array_slice( $menu_links, 0, 1, true ) 
        + $new 
        + array_slice( $menu_links, 1, NULL, true );
        return $menu_links;
    }

    add_filter( 'woocommerce_get_endpoint_url', 'dina_dashboard_link_one_endpoint', 10, 4 );
    function dina_dashboard_link_one_endpoint( $url, $endpoint, $value, $permalink ) {
        
        if ( $endpoint === 'dina-dashboard-link-one' ) {
            $url = esc_url( dina_opt( 'dashboard_link_one_url' ) );
        }
        return $url;
    }
}

//Dina Dashboard Banner
function dina_dashboard_banner() {
    
    if ( !empty( dina_to_https ( dina_opt( 'dashboard_banner', 'url' ) ) ) ) { ?>

    <div class="row dashboard-banner-row<?php if (!dina_opt( 'show_dashboard_mobile' ) ) { echo ' mobile-hidden'; }?>">
        <div class="col-12 bnr-image">
            <?php
            $link_target = dina_opt( 'dashboard_banner_newtab' ) ? ' target="_blank"' : '';
            $link_rel = dina_opt( 'dashboard_banner_nofollow' ) ? ' rel="nofollow"' : '';
            ?>
            <a class="shadow-box" href="<?php echo dina_opt( 'dashboard_banner_link' ); ?>" title="<?php echo dina_opt( 'dashboard_banner_title' ); ?>" aria-label="<?php echo dina_opt( 'dashboard_banner_title' ); ?>"<?php echo $link_target . $link_rel; ?>>
                <?php
                    $headb_width = (!empty( dina_opt( 'dashboard_banner', 'width' ) ) ) ? dina_opt( 'dashboard_banner', 'width' ) : '1260';
                    $headb_height = (!empty( dina_opt( 'dashboard_banner', 'height' ) ) ) ? dina_opt( 'dashboard_banner', 'height' ) : '142'; 
                ?>
                <img src="<?php echo dina_to_https( dina_opt( 'dashboard_banner', 'url' ) ); ?>" alt="<?php echo dina_opt( 'dashboard_banner_title' ); ?>" class="dashboard-banner shadow-box" width="<?php echo $headb_width; ?>" height="<?php echo $headb_height; ?>" />
            </a>
        </div>
    </div>

<?php 
    }
}

//Set template of Woocomemrce MyAccount
add_filter( 'page_template', 'dina_my_account_page_template' );
function dina_my_account_page_template( $page_template ) {
    $post_id = get_the_ID();
    if ( $post_id === (int)get_option('woocommerce_myaccount_page_id' ) ) {
        $page_template = get_stylesheet_directory() . '/tpls/my-account.php';
    }
    return $page_template;
}

//dina_whishlist_page_template
add_filter( 'page_template', 'dina_whishlist_page_template' );
function dina_whishlist_page_template( $page_template ) {

    if ( ! is_user_logged_in() )
        return $page_template;

    global $post;
    $post_id = $post->ID;
    $whishlist_page_id = '';

    if ( class_exists('YITH_WCWL') ) {
        $whishlist_page_id = (int) get_option( 'yith_wcwl_wishlist_page_id' );
    } elseif ( class_exists('JVM_WooCommerce_Wishlist') ) {
        $whishlist_page_id = (int) get_option( 'jvm_woocommerce_wishlist_page_id' );
    }

    if ( $post_id === $whishlist_page_id ) {
        $page_template = get_stylesheet_directory() . '/tpls/user-panel.php';
    }

    return $page_template;
}

if( class_exists( 'Awesome_Support' ) ) { 
    add_filter( 'page_template', 'ticket_page_template' );
    function ticket_page_template( $page_template ) {
            global $post;
            if( !is_object($post) ) 
            return;
            $ticket_id = wpas_get_option( 'ticket_list' );
            $ticket_submit_id = wpas_get_option( 'ticket_submit' );
            if(is_array($ticket_submit_id) ){
                $ticket_submit = $ticket_submit_id[0];
            }
            else{
                $ticket_submit = $ticket_submit_id;
            }
            $post_id = $post->ID;
            if( ($post_id === (int)$ticket_id) || ($post_id === (int)$ticket_submit) ) {
                    $page_template = get_stylesheet_directory() . '/tpls/user-panel.php'; 
            } 
        return $page_template;
    }
}
    
if( class_exists( 'Affiliate_WP' ) ) { 
    add_filter( 'page_template', 'affiliate_page_template' );
    function affiliate_page_template( $page_template ) {
            global $post;
            if( !is_object($post) ) 
            return;
            $post_id = $post->ID;
            if($post_id === affwp_get_affiliate_area_page_id() ) {
                    $page_template = get_stylesheet_directory() . '/affiliate-area.php'; 
            } 
        return $page_template;
    }
}

if( class_exists( 'YITH_WCAF' ) ) {
        add_filter( 'page_template', 'yith_affiliate_page_template' );
        function yith_affiliate_page_template( $page_template ) {
                global $post;
                if( ! is_object( $post ) ) 
                return;
                $post_id = $post->ID;
                if( $post_id === (int)get_option( 'yith_wcaf_dashboard_page_id' ) ) {
                        $page_template = get_stylesheet_directory() . '/yith-affiliate.php'; 
                } 
            return $page_template;
        }
}

//dina_user_avatar_form
add_action( 'woocommerce_before_edit_account_form', 'dina_user_avatar_form' );
function dina_user_avatar_form() {
    if ( ! dina_opt( 'change_user_avatar' ) )
        return;
    echo '<h2>'. __( 'Change profile picture', 'dina-kala' ) .'</h2>';
    echo do_shortcode( '[dina-user-avatars]' );
}

add_action( 'woocommerce_edit_account_form_start', 'dina_edit_account_form_start' );
function dina_edit_account_form_start() {
    echo '<h2>'. __( 'Account details', 'dina-kala' ) .'</h2>';
}